apiVersion: authorization.k8s.io/v1
kind: SelfSubjectRulesReview
metadata:
  annotations:
    annotationsKey: annotationsValue
  clusterName: clusterNameValue
  creationTimestamp: "2008-01-01T01:01:01Z"
  deletionGracePeriodSeconds: 10
  deletionTimestamp: "2009-01-01T01:01:01Z"
  finalizers:
  - finalizersValue
  generateName: generateNameValue
  generation: 7
  labels:
    labelsKey: labelsValue
  managedFields:
  - apiVersion: apiVersionValue
    fieldsType: fieldsTypeValue
    fieldsV1: {}
    manager: managerValue
    operation: operationValue
    subresource: subresourceValue
    time: "2004-01-01T01:01:01Z"
  name: nameValue
  namespace: namespaceValue
  ownerReferences:
  - apiVersion: apiVersionValue
    blockOwnerDeletion: true
    controller: true
    kind: kindValue
    name: nameValue
    uid: uidValue
  resourceVersion: resourceVersionValue
  selfLink: selfLinkValue
  uid: uidValue
spec:
  namespace: namespaceValue
status:
  evaluationError: evaluationErrorValue
  incomplete: true
  nonResourceRules:
  - nonResourceURLs:
    - nonResourceURLsValue
    verbs:
    - verbsValue
  resourceRules:
  - apiGroups:
    - apiGroupsValue
    resourceNames:
    - resourceNamesValue
    resources:
    - resourcesValue
    verbs:
    - verbsValue
